Canceling "Rename playlist” should be possible with a mouse click
June 18, 2012 18:54 - Thomas Lange
Affects version: 3.3

Description

At the moment it is only possible to cancel the renaming of a playlist
by pressing either Enter or Escape.

| think it would be nice if this could be also done with a mouse click.
For example by clicking on the menu-/toolbar or in the area next to the notebook.

History

#1 - June 18, 2012 19:21 - Michat Lipski
- Assignee set to Michat Lipski

#2 - June 18, 2012 19:49 - Michat Lipski
- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious-plugins/commit/edb6953a05eea5887efab7b74db1cda9b22a139b

#3 - June 18,2012 20:10 - Thomas Lange

That was fast, thanks. :)

#4 - June 22, 2012 03:08 - John Lindgren

- Status changed from Closed to Rejected

Sorry, but this is simply bad user interface design. It might make sense for a tablet interface where the user is only allowed to perform one task at a
time. But on a multitasking-oriented desktop, canceling operations that the user has started just because the user has gone to do something else, is
wrong.

#5 - June 22, 2012 13:54 - Thomas Lange

| just noticed that Michats implementation was not my intention.
It should be possible with the mouse to cancel the renaming (as by pressing Escape).
But until now the new title was saved.

Is this also bad user interface design?
In my opinion, the current behaviour is...
You can't expect that the user knows which key he has to press.

#6 - June 24, 2012 14:49 - John Lindgren
https://github.com/audacious-media-player/audacious-plugins/commit/edb6953a05eea5887efab7b74db1cda9b22a139b

As | mentioned on IRC, | think it's reasonable to expect users to know the use of the Escape key.
